Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid
Class ReferenceResolver.ResolvedReference

    java.lang.Object
      org.modeshape.sequencer.teiid.ReferenceResolver.ResolvedReference

Enclosing class:
  ReferenceResolver

    public static class ReferenceResolver.ResolvedReference

extends Object

Constructor Summary
`ReferenceResolver.ResolvedReference(String href, String name, Path path, String id, Reference reference)`
`ReferenceResolver.ResolvedReference(String href, String standardDataTypeName, String id)`

Method Summary
`String` | `getHref()`
`String` | `getId()`
`String` | `getName()`
`Path` | `getPath()`
`Reference` | `getWeakReferenceValue()`
`boolean` | `isStandardDataType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReferenceResolver.ResolvedReference

    public ReferenceResolver.ResolvedReference(String href,
                                               String standardDataTypeName,
                                               String id)

### ReferenceResolver.ResolvedReference

    public ReferenceResolver.ResolvedReference(String href,
                                               String name,
                                               Path path,
                                               String id,
                                               Reference reference)

Method Detail

### isStandardDataType

    public boolean isStandardDataType()

### getHref

    public String getHref()

### getName

    public String getName()

### getPath

    public Path getPath()

### getId

    public String getId()

### getWeakReferenceValue

    public Reference getWeakReferenceValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.